regex-tdfa-1.2.2: Replaces/Enhances Text.Regex

Safe Haskell | None
Language | Haskell98

Text.Regex.TDFA.ByteString.Lazy

Contents

- Orphan instances

Description

This modules provides `RegexMaker` and `RegexLike` instances for using `ByteString` with the DFA backend (Text.Regex.Lib.WrapDFAEngine and Text.Regex.Lazy.DFAEngineFPS). This module is usually used via import Text.Regex.TDFA.

This exports instances of the high level API and the medium level API of `compile`,`execute`, and `regexec`.

Synopsis

- data Regex
- data CompOption
- data ExecOption
- compile :: CompOption -> ExecOption -> ByteString -> Either String Regex
- execute :: Regex -> ByteString -> Either String (Maybe MatchArray)
- regexec :: Regex -> ByteString -> Either String (Maybe (ByteString, ByteString, ByteString, [ByteString]))

# Documentation

data Regex #

The TDFA backend specific `Regex` type, used by this module's RegexOptions and RegexMaker

Instances

RegexOptions Regex CompOption ExecOption # |
Methods blankCompOpt :: CompOption # blankExecOpt :: ExecOption # defaultCompOpt :: CompOption # defaultExecOpt :: ExecOption # setExecOpts :: ExecOption -> Regex -> Regex # getExecOpts :: Regex -> ExecOption #

data CompOption #

Control whether the pattern is multiline or case-sensitive like Text.Regex and whether to capture the subgroups (\1, \2, etc). Controls enabling extra anchor syntax.

Instances

Read CompOption # |
Methods readsPrec :: Int -> ReadS CompOption # readList :: ReadS [CompOption] # readPrec :: ReadPrec CompOption # readListPrec :: ReadPrec [CompOption] #
Show CompOption # |
Methods showsPrec :: Int -> CompOption -> ShowS # show :: CompOption -> String # showList :: [CompOption] -> ShowS #
RegexOptions Regex CompOption ExecOption # |
Methods blankCompOpt :: CompOption # blankExecOpt :: ExecOption # defaultCompOpt :: CompOption # defaultExecOpt :: ExecOption # setExecOpts :: ExecOption -> Regex -> Regex # getExecOpts :: Regex -> ExecOption #

data ExecOption #

Instances

Read ExecOption # |
Methods readsPrec :: Int -> ReadS ExecOption # readList :: ReadS [ExecOption] # readPrec :: ReadPrec ExecOption # readListPrec :: ReadPrec [ExecOption] #
Show ExecOption # |
Methods showsPrec :: Int -> ExecOption -> ShowS # show :: ExecOption -> String # showList :: [ExecOption] -> ShowS #
RegexOptions Regex CompOption ExecOption # |
Methods blankCompOpt :: CompOption # blankExecOpt :: ExecOption # defaultCompOpt :: CompOption # defaultExecOpt :: ExecOption # setExecOpts :: ExecOption -> Regex -> Regex # getExecOpts :: Regex -> ExecOption #

compile #

Arguments

:: CompOption | Flags (summed together)
-> ExecOption | Flags (summed together)
-> ByteString | The regular expression to compile
-> Either String Regex | Returns: the compiled regular expression

execute #

Arguments

:: Regex | Compiled regular expression
-> ByteString | ByteString to match against
-> Either String (Maybe MatchArray) |

regexec #

Arguments

:: Regex | Compiled regular expression
-> ByteString | ByteString to match against
-> Either String (Maybe (ByteString, ByteString, ByteString, [ByteString])) |

# Orphan instances

RegexLike Regex ByteString # |
Methods matchOnce :: Regex -> ByteString -> Maybe MatchArray # matchAll :: Regex -> ByteString -> [MatchArray] # matchCount :: Regex -> ByteString -> Int # matchTest :: Regex -> ByteString -> Bool # matchAllText :: Regex -> ByteString -> [MatchText ByteString] # matchOnceText :: Regex -> ByteString -> Maybe (ByteString, MatchText ByteString, ByteString) #
RegexContext Regex ByteString ByteString # |
Methods match :: Regex -> ByteString -> ByteString # matchM :: Monad m => Regex -> ByteString -> m ByteString #
RegexMaker Regex CompOption ExecOption ByteString # |
Methods makeRegex :: ByteString -> Regex # makeRegexOpts :: CompOption -> ExecOption -> ByteString -> Regex # makeRegexM :: Monad m => ByteString -> m Regex # makeRegexOptsM :: Monad m => CompOption -> ExecOption -> ByteString -> m Regex #